Not the answer you need?
Register and ask your own question!

‘Error: mysql conflicts with MySQL’ when install Percona-XtraDB-Cluster-server-56

keithkeith ContributorCurrent User Role Novice
I use yum to install Percona-XtraDB-Cluster-server-56 on centos5
```
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
percona-release-i386 100% |=========================| 2.5 kB 00:00
C5.7-base 100% |=========================| 1.1 kB 00:00
percona-release-noarch 100% |=========================| 2.5 kB 00:00
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package Percona-XtraDB-Cluster-server-56.i686 1:5.6.15-25.5.759.rhel5 set to be updated
--> Running transaction check
--> Processing Dependency: Percona-XtraDB-Cluster-shared-56 for package: Percona-XtraDB-Cluster-server-56
--> Processing Dependency: Percona-XtraDB-Cluster-galera-25 for package: Percona-XtraDB-Cluster-server-56
--> Processing Dependency: perl-DBD-MySQL for package: Percona-XtraDB-Cluster-server-56
--> Processing Dependency: percona-xtrabackup >= 2.1.6 for package: Percona-XtraDB-Cluster-server-56
--> Processing Dependency: Percona-XtraDB-Cluster-client-56 for package: Percona-XtraDB-Cluster-server-56
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package Percona-XtraDB-Cluster-galera-2.i386 0:2.12-1.2682.rhel5 set to be updated
---> Package percona-xtrabackup.i386 0:2.3.9-1.el5 set to be updated
---> Package Percona-XtraDB-Cluster-client-56.i686 1:5.6.15-25.5.759.rhel5 set to be updated
---> Package Percona-XtraDB-Cluster-shared-56.i686 1:5.6.15-25.5.759.rhel5 set to be updated
---> Package perl-DBD-MySQL.i386 0:3.0007-2.el5 set to be updated
--> Running transaction check
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15) for package: perl-DBD-MySQL
--> Processing Dependency: libev.so.4 for package: percona-xtrabackup
--> Processing Dependency: libmysqlclient.so.15 for package: perl-DBD-MySQL
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package mysql.i386 0:5.0.77-4.el5_6.6 set to be updated
---> Package libev.i386 0:4.15-1.el5.rf set to be updated
--> Running transaction check
--> Processing Conflict: mysql conflicts MySQL
--> Finished Dependency Resolution
Error: mysql conflicts with MySQL

```
But I have uninstalled the package about mysql
When I execute `rpm qa|grep -i mysql` there is no output

```
[[email protected] /]# rpm qa|grep -i mysql
[[email protected] /]#
```
How can I solve this problem?
Thank you!
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.